ECLIPSE(1)

NAME
Eclipse SUMO duarouter Version - Shortest path router and DUE computer for the microscopic traffic simulation SUMO

SYNOPSIS
duarouter [OPTION]*

DESCRIPTION
Eclipse SUMO duarouter Version v1_14_1+1447-a9bb7416089

    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Shortest path router and DUE computer for the microscopic, multi-modal traffic

    simulation SUMO.

  Configuration Options:

-c, --configuration-file FILE
    Loads the named config on startup

-C, --save-configuration FILE
    Saves current configuration into FILE

--save-configuration.relative
    Enforce relative paths when saving the configuration

--save-template FILE
    Saves a configuration template (empty) into FILE

--save-schema FILE
    Saves the configuration schema into FILE

--save-commented
    Adds comments to saved template, configuration, or schema

  Input Options:

-n, --net-file FILE
    Use FILE as SUMO-network to route on

-a, --additional-files FILE
    Read additional network data (districts, bus stops) from FILE(s)

-r, --route-files FILE
    Read sumo routes, alternatives, flows, and trips from FILE(s)

--phemlight-path FILE
    Determines where to load PHEMlight definitions from

--phemlight-year INT
    Enable fleet age modelling with the given reference year in PHEMlight5

--phemlight-temperature FLOAT
    Set ambient temperature to correct NOx emissions in PHEMlight5

-w, --weight-files FILE
    Read network weights from FILE(s)

--lane-weight-files FILE
    Read lane-based network weights from FILE(s)

-x, --weight-attribute STR
    Name of the xml attribute which gives the edge weight

--junction-taz
    Initialize a TAZ for every junction to use attributes toJunction and fromJunction

  Output Options:

-o, --output-file FILE
    Write generated routes to FILE

--vtype-output FILE
    Write used vehicle types into separate FILE

--keep-vtype-distributions
    Keep vTypeDistribution ids when writing vehicles and their types

--emissions.volumetric-fuel
    Return fuel consumption values in (legacy) unit l instead of mg

--named-routes
    Write vehicles that reference routes by their id

--write-license
    Include license info into every output file

--output-prefix STR
    Prefix which is applied to all output files. The special string 'TIME' is replaced by the current time.

--precision INT
    Defines the number of digits after the comma for floating point output

--precision.geo INT
    Defines the number of digits after the comma for lon,lat output

-H, --human-readable-time
    Write time values as hour:minute:second or day:hour:minute:second rather than seconds

--alternatives-output FILE
    Write generated route alternatives to FILE

--intermodal-network-output FILE
    Write edge splits and connectivity to FILE

--intermodal-weight-output FILE
    Write intermodal edges with lengths and travel times to FILE

--write-trips
    Write trips instead of vehicles (for validating trip input)

--write-trips.geo
    Write trips with geo-coordinates

--write-trips.junctions
    Write trips with fromJunction and toJunction

--write-costs
    Include the cost attribute in route output

--exit-times
    Write exit times (weights) for each edge

--route-length
    Include total route length in the output

  Processing Options:

--max-alternatives INT
    Prune the number of alternatives to INT

--with-taz
    Use origin and destination zones (districts) for in- and output

--unsorted-input
    Assume input is unsorted

-s, --route-steps TIME
    Load routes for the next number of seconds ahead

--no-internal-links
    Disable (junction) internal links

--randomize-flows
    generate random departure times for flow input

--remove-loops
    Remove loops within the route; Remove turnarounds at start and end of the route

--repair
    Tries to correct a false route

--repair.from
    Tries to correct an invalid starting edge by using the first usable edge instead

--repair.to
    Tries to correct an invalid destination edge by using the last usable edge instead

--mapmatch.distance FLOAT
    Maximum distance when mapping input coordinates (fromXY etc.) to the road network

--mapmatch.junctions
    Match positions to junctions instead of edges

--bulk-routing
    Aggregate routing queries with the same origin

--routing-threads INT
    The number of parallel execution threads used for routing

--routing-algorithm STR
    Select among routing algorithms ['dijkstra', 'astar', 'CH', 'CHWrapper']

--restriction-params STR[]
    Comma separated list of param keys to compare for additional restrictions

--weights.interpolate
    Interpolate edge weights at interval boundaries

--weights.expand
    Expand the end of the last loaded weight interval to infinity

--weights.minor-penalty FLOAT
    Apply the given time penalty when computing routing costs for minor-link internal lanes

--weights.random-factor FLOAT
    Edge weights for routing are dynamically disturbed by a random factor drawn uniformly from [1,FLOAT)

--weight-period TIME
    Aggregation period for the given weight files; triggers rebuilding of Contraction Hierarchy

--weights.priority-factor FLOAT
    Consider edge priorities in addition to travel times, weighted by factor

--astar.all-distances FILE
    Initialize lookup table for astar from the given file (generated by marouter --all-pairs-output)

--astar.landmark-distances FILE
    Initialize lookup table for astar ALT-variant from the given file

--astar.save-landmark-distances FILE
    Save lookup table for astar ALT-variant to the given file

--gawron.beta FLOAT
    Use FLOAT as Gawron's beta

--gawron.a FLOAT
    Use FLOAT as Gawron's a

--keep-all-routes
    Save routes with near zero probability

--skip-new-routes
    Only reuse routes from input, do not calculate new ones

--keep-route-probability FLOAT
    The probability of keeping the old route

--ptline-routing
    Route all public transport input

--route-choice-method STR
    Choose a route choice method: gawron, logit, or lohse

--logit
    Use c-logit model (deprecated in favor of --route-choice-method logit)

--logit.beta FLOAT
    Use FLOAT as logit's beta

--logit.gamma FLOAT
    Use FLOAT as logit's gamma

--logit.theta FLOAT
    Use FLOAT as logit's theta (negative values mean auto-estimation)

--persontrip.walkfactor FLOAT
    Use FLOAT as a factor on pedestrian maximum speed during intermodal routing

--persontrip.walk-opposite-factor FLOAT
    Use FLOAT as a factor on walking speed against vehicle traffic direction

--persontrip.transfer.car-walk STR[]
    Where are mode changes from car to walking allowed (possible values: 'parkingAreas', 'ptStops', 'allJunctions' and combinations)

--persontrip.transfer.taxi-walk STR[]
    Where taxis can drop off customers ('allJunctions, 'ptStops')

--persontrip.transfer.walk-taxi STR[]
    Where taxis can pick up customers ('allJunctions, 'ptStops')

--persontrip.taxi.waiting-time TIME
    Estimated time for taxi pickup

--railway.max-train-length FLOAT
    Use FLOAT as a maximum train length when initializing the railway router

  Defaults Options:

--departlane STR
    Assigns a default depart lane

--departpos STR
    Assigns a default depart position

--departspeed STR
    Assigns a default depart speed

--arrivallane STR
    Assigns a default arrival lane

--arrivalpos STR
    Assigns a default arrival position

--arrivalspeed STR
    Assigns a default arrival speed

--defaults-override
    Defaults will override given values

  Time Options:

-b, --begin TIME
    Defines the begin time; Previous trips will be discarded

-e, --end TIME
    Defines the end time; Later trips will be discarded; Defaults to the maximum time that SUMO can represent

  Report Options:

-v, --verbose
    Switches to verbose output

--print-options
    Prints option values before processing

-?, --help
    Prints this screen or selected topics

-V, --version
    Prints the current version

-X, --xml-validation STR
    Set schema validation scheme of XML inputs ("never", "local", "auto" or "always")

--xml-validation.net STR
    Set schema validation scheme of SUMO network inputs ("never", "local", "auto" or "always")

--xml-validation.routes STR
    Set schema validation scheme of SUMO route inputs ("never", "local", "auto" or "always")

-W, --no-warnings
    Disables output of warnings

--aggregate-warnings INT
    Aggregate warnings of the same type whenever more than INT occur

-l, --log FILE
    Writes all messages to FILE (implies verbose)

--message-log FILE
    Writes all non-error messages to FILE (implies verbose)

--error-log FILE
    Writes all warnings and errors to FILE

--ignore-errors
    Continue if a route could not be build

--stats-period INT
    Defines how often statistics shall be printed

--no-step-log
    Disable console output of route parsing step

  Random Number Options:

--random
    Initialises the random number generator with the current system time

--seed INT
    Initialises the random number generator with the given value

EXAMPLES

    duarouter -c <CONFIGURATION>

    run routing with options from file

REPORTING BUGS
Report bugs at <https://github.com/eclipse/sumo/issues>.
Get in contact via <sumo@dlr.de>.

    Build features: Linux-5.4.0-125-generic x86_64 GNU 9.4.0 Release FMI Proj GUI SWIG
    Copyright (C) 2001-2022 German Aerospace Center (DLR) and others; https://sumo.dlr.de

Eclipse SUMO duarouter Version v1_14_1+1447-a9bb7416089 is part of SUMO.
This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html
This program may also be made available under the following Secondary
Licenses when the conditions for such availability set forth in the Eclipse
Public License 2.0 are satisfied: GNU General Public License, version 2 or later which is available at https://www.gnu.org/licenses/old-licenses/gpl-2.0-standalone.html
SPDX-License-Identifier: EPL-2.0 OR GPL-2.0-or-later